import * as t from '@babel/types';
export declare function convertFunctionTypeAnnotation(node: t.TSFunctionType | t.TSMethodSignature | t.TSCallSignatureDeclaration | t.TSDeclareFunction | t.TSDeclareMethod): {
    typeParams: {
        leadingComments: readonly (t.CommentBlock | t.CommentLine)[] | null;
        innerComments: readonly (t.CommentBlock | t.CommentLine)[] | null;
        trailingComments: readonly (t.CommentBlock | t.CommentLine)[] | null;
        start: number | null;
        end: number | null;
        loc: t.SourceLocation | null;
        extra?: Record<string, unknown> | undefined;
        type: "TypeParameterDeclaration";
        params: t.TypeParameter[];
    } | undefined;
    parameters: t.FunctionTypeParam[];
    rest: t.FunctionTypeParam | null;
    returnType: t.AnyTypeAnnotation | t.ArrayTypeAnnotation | t.BooleanLiteralTypeAnnotation | t.BooleanTypeAnnotation | t.EmptyTypeAnnotation | t.ExistsTypeAnnotation | t.NullLiteralTypeAnnotation | t.FunctionTypeAnnotation | t.GenericTypeAnnotation | t.InterfaceTypeAnnotation | t.IntersectionTypeAnnotation | t.MixedTypeAnnotation | t.NullableTypeAnnotation | t.NumberLiteralTypeAnnotation | t.NumberTypeAnnotation | t.ObjectTypeAnnotation | t.StringLiteralTypeAnnotation | t.StringTypeAnnotation | t.SymbolTypeAnnotation | t.ThisTypeAnnotation | t.TupleTypeAnnotation | t.TypeofTypeAnnotation | t.UnionTypeAnnotation | t.VoidTypeAnnotation | null;
};
//# sourceMappingURL=convertFunctionTypeAnnotation.d.ts.map