"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertTSInterfaceDeclaration = void 0;
const t = __importStar(require("@babel/types"));
const convertTSTypeParameterDeclaration_1 = require("./convertTSTypeParameterDeclaration");
const baseNodeProps_1 = require("../utils/baseNodeProps");
const convertTSEntityName_1 = require("./convertTSEntityName");
const convertTSTypeElements_1 = require("./convertTSTypeElements");
const convertTSTypeParameterInstantiation_1 = require("./convertTSTypeParameterInstantiation");
function convertTSInterfaceDeclaration(node, isAmbientContext) {
    let typeParameters = null;
    if (node.typeParameters) {
        typeParameters = Object.assign(Object.assign({}, convertTSTypeParameterDeclaration_1.convertTSTypeParameterDeclaration(node.typeParameters)), baseNodeProps_1.baseNodeProps(node.typeParameters));
    }
    const _extends = node.extends
        ? node.extends.map(extend => {
            const id = convertTSEntityName_1.convertTSEntityName(extend.expression);
            const typeParameters = extend.typeParameters
                ? convertTSTypeParameterInstantiation_1.convertTSTypeParameterInstantiation(extend.typeParameters)
                : null;
            return t.interfaceExtends(id, typeParameters);
        })
        : [];
    const { properties, indexers, callProperties, internalSlots, } = convertTSTypeElements_1.convertTSTypeElements(node.body.body);
    const body = t.objectTypeAnnotation(properties, indexers, callProperties, internalSlots);
    const interfaceDeclaration = node.declare || isAmbientContext
        ? t.declareInterface
        : t.interfaceDeclaration;
    return interfaceDeclaration(node.id, typeParameters, _extends, body);
}
exports.convertTSInterfaceDeclaration = convertTSInterfaceDeclaration;
//# sourceMappingURL=convertTSInterfaceDeclaration.js.map