"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExportDefaultDeclaration = void 0;
const t = __importStar(require("@babel/types"));
const replaceWith_1 = require("../utils/replaceWith");
const convertFunctionTypeAnnotation_1 = require("../converters/convertFunctionTypeAnnotation");
const convertClassTypeDeclaration_1 = require("../converters/convertClassTypeDeclaration");
function ExportDefaultDeclaration(path, state) {
    var _a;
    if (!state.opts.isAmbientContext)
        return;
    const srcDeclaration = path.node.declaration;
    if (t.isTSDeclareFunction(srcDeclaration)) {
        const { typeParams, parameters, rest, returnType, } = convertFunctionTypeAnnotation_1.convertFunctionTypeAnnotation(srcDeclaration);
        const id = t.identifier(((_a = srcDeclaration === null || srcDeclaration === void 0 ? void 0 : srcDeclaration.id) === null || _a === void 0 ? void 0 : _a.name) || 'fn');
        id.typeAnnotation = t.typeAnnotation(t.functionTypeAnnotation(typeParams, parameters, rest, returnType ? returnType : t.anyTypeAnnotation()));
        const declaration = t.declareFunction(id);
        const replacement = t.declareExportDeclaration(declaration);
        replacement.default = true;
        replaceWith_1.replaceWith(path, replacement);
    }
    else if (t.isClassDeclaration(srcDeclaration)) {
        const replacement = t.declareExportDeclaration(convertClassTypeDeclaration_1.convertClassTypeDeclaration(srcDeclaration));
        replaceWith_1.replaceWith(path, replacement);
    }
}
exports.ExportDefaultDeclaration = ExportDefaultDeclaration;
//# sourceMappingURL=ExportDefaultDeclaration.js.map